## u-config 0.33.1

=== debian/changelog ===
u-config (0.33.1-2) unstable; urgency=medium

  * First dgit upload
  * d/rules: fix cross builds.
    Including buildtools.mk makes the CC make variable point to the correct
    compiler when cross compiling, which in turn makes system-libdirs.sh
    output the correct system paths.
  * d/rules: build tests during dh_auto_build

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 08 Sep 2024 22:48:02 +0200

u-config (0.33.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1080307)

 -- Andrea Pappacoda <andrea@pappacoda.it>  Tue, 03 Sep 2024 10:56:56 +0200
