=== debian/control ===
Source: u-config
Section: devel
Priority: optional
Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-single-binary,
 dpkg-build-api (= 1),
Standards-Version: 4.7.0
Homepage: https://github.com/skeeto/u-config
Vcs-Git: https://salsa.debian.org/tachi/u-config.git
Vcs-Browser: https://salsa.debian.org/tachi/u-config
X-Style: black

Package: u-config
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: smaller, simpler, portable pkg-config clone
 u-config ("micro-config") is a small, highly portable pkg-config and
 pkgconf clone.
 .
 It is a fraction of the size while retaining the core, user-level
 features of pkg-config and pkgconf. It is also highly portable,
 supporting a variety of compilers and operating systems; it can even be
 built without libc.
 .
 u-config focuses on supporting existing pkg-config based builds, while
 omitting developer-level features like debugging options. It also adds
 some unique features, like the possibility of separating arguments by
 line feeds instead of spaces, and better handling of spaces in file
 paths.
