=== debian/watch ===
version=4
opts="searchmode=plain, pgpsigurlmangle=s/$/.sig/" \
https://api.github.com/repos/skeeto/u-config/releases \
https://github.com/skeeto/u-config/releases/download/[^/]+/u-config-@ANY_VERSION@.tar.gz
