## u-config 0.33.3

=== debian/changelog ===
u-config (0.33.3-1) unstable; urgency=low

  * New upstream version 0.33.3
  * d/control: use my @debian.org email address
  * d/copyright: set Upstream-Contact to ~skeeto/public-inbox
  * d/patches: drop upstreamed patches

 -- Andrea Pappacoda <tachi@debian.org>  Sat, 22 Mar 2025 16:31:40 +0100
