=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: u-config
 Section: devel
 Priority: optional
-Maintainer: Andrea Pappacoda <andrea@pappacoda.it>
+Maintainer: Andrea Pappacoda <tachi@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-single-binary,
  dpkg-build-api (= 1),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/skeeto/u-config
 Vcs-Git: https://salsa.debian.org/tachi/u-config.git
 Vcs-Browser: https://salsa.debian.org/tachi/u-config
