=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildtools.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all qa=+all

# From pkgconf packaging
SYSTEM_LIBDIRS := $(shell sh debian/system-libdirs.sh $(CC))

%:
	dh $@ --buildsystem=none

override_dh_auto_build:
	$(CC) \
		-DPKG_CONFIG_LIBDIR='"/usr/local/lib/$(DEB_HOST_MULTIARCH)/pkgconfig:/usr/local/lib/pkgconfig:/usr/local/share/pkgconfig:/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig:/usr/lib/pkgconfig:/usr/share/pkgconfig"' \
		-DPKG_CONFIG_SYSTEM_LIBRARY_PATH='"$(SYSTEM_LIBDIRS)"' \
		$(CPPFLAGS) \
		$(CFLAGS) \
		$(LDFLAGS) \
		-o u-config \
		generic_main.c
	$(MAKE) tests CC=$(CC) DEBUG_CFLAGS="$(CFLAGS) $(CPPFLAGS) $(LDFLAGS)"

override_dh_auto_test:
	$(MAKE) check

override_dh_auto_clean:
	$(RM) u-config tests
