=== debian/changelog ===
u-config (0.34.0-1) experimental; urgency=low

  * New upstream version 0.34.0
  * d/rules: use POSIX platform layer

 -- Andrea Pappacoda <tachi@debian.org>  Thu, 08 May 2025 15:57:19 +0200
