=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 		$(CFLAGS) \
 		$(LDFLAGS) \
 		-o u-config \
-		generic_main.c
+		main_posix.c
 	$(MAKE) tests CC=$(CC) DEBUG_CFLAGS="$(CFLAGS) $(CPPFLAGS) $(LDFLAGS)"
 
 override_dh_auto_test:
