=== debian/tests/control ===
Tests: external
Depends: @, libssl-dev

Tests: selfcheck
Depends: @
